import { select,
        csv,
        scaleLinear,
        max,
        scaleBand,
       	axisLeft,
       	axisBottom,
       	format} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
	const xValue = d => d.count
	const yValue = d => d.sex
  const margin = { top: 20, 
                  right: 40, 
                  bottom: 30, 
                  left: 200};
  const innerWidth = 610;
  const innerHeight = 400;
	
  const xScale = scaleLinear()
  	.domain([0, max(data, xValue)])
  	.range([0, innerWidth]);
    
  const yScale = scaleBand()
  	.domain(data.map(yValue))
  	.range([0, innerHeight])
  	.padding(0.3);
   
  const g = svg.append('g').attr('transform', `translate(${margin.left}, 
  ${margin.top})`);	
	
  const xAxisTickFormat = number => format('.2s')(number).replace('G', 'B');
  
  const xAxis = axisBottom(xScale).tickFormat(xAxisTickFormat);
                                              
	g.append('g').call(axisLeft(yScale));
  g.append('g').call(xAxis).
  	attr('transform', `translate(0, ${innerHeight})`);
  
  g.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('y', d => yScale(yValue(d)))
  		.attr('width', d => xScale(xValue(d)))
  		.attr('height', yScale.bandwidth())
};

csv('data.csv').then(data => {
  data.forEach
  	render(data);
});